POST/schedule

Create Schedule

This endpoint allows you to create custom schedules for executing rate shops at specified dates and times.
  • year: Specifies the years for scheduling.
    • *: No specific year
    • 2016: Only in 2016
    • 2016,2017: In 2016 and 2017
  • month: Specifies the months for scheduling.
    • *: All 12 months
    • 1: January
    • 2: February
    • 3: March
    • 4: April
    • 5: May
    • 6: June
    • 7: July
    • 8: August
    • 9: September
    • 10: October
    • 11: November
    • 12: December
    • 1,3: January and March
  • dayOfWeek: Specifies the days of the week for scheduling.
    • *: All days
    • 1: Monday
    • 2: Tuesday
    • 3: Wednesday
    • 4: Thursday
    • 5: Friday
    • 6: Saturday
    • 0: Sunday
    • 1,3,5: Monday, Wednesday, and Friday
  • day: Specifies the days of the month for scheduling.
    • *: All days
    • 1-31: Specific days or ranges within the month (e.g., '1,3,5')
  • hour: Specifies the hour of the day (0-23) when the review shop is triggered. '*' means run hourly.
    • *: Run the shop hourly
  • minute: Specifies the minute (0-59) within the hour when the review shop is triggered.
  • seconds: Specifies the second (0-59) within the minute when the review shop is triggered.
  • status: Indicates whether the schedule is active or inactive.
    • 1: Active
    • 0: Inactive
  • startdate: Specifies when the schedule should start.
  • enddate: Specifies when the schedule should end. If left undefined, the schedule will run indefinitely.
POST/schedule

Mandatory Fields

  • schedulename
  • rateshopId
  • year
  • month
  • dow
  • day
  • hour
  • minute
  • seconds
  • startdate

Note

All schedules are queued at the fifty-fifth minute of the previous hour. As a result, any job scheduled within the current hour will only run the following day.

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /schedule \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "schedulename": "X-Mas",
  "rateshopid": 0,
  "year": "*",
  "month": "*",
  "dow": "*",
  "day": "*",
  "hour": "1",
  "minute": "*",
  "seconds": "*",
  "status": 1,
  "startdate": "2019-08-24",
  "enddate": "2019-08-24"
}

Example responses

200 Response
{
  "scheduleid": 0,
  "schedulename": "string",
  "rateshopid": 0,
  "year": "string",
  "month": "string",
  "dow": "string",
  "day": "string",
  "hour": "string",
  "minute": "string",
  "seconds": "string",
  "status": 0,
  "startdate": "2019-08-24",
  "enddate": "2019-08-24"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.